Home
Docs
GitHub
Pricing
Blog
Log In

Run Sandworm Audit for your App

Get started
Hold on, we're currently generating a fresh version of this report
Generated on Feb 15, 2024 via pnpm

@ffmpeg-installer/ffmpeg 1.1.0

Platform independent binary installer of FFmpeg for node projects
Package summary
Share
32
issues
13
high severity
license
7
meta
6
10
moderate severity
license
2
meta
8
9
low severity
license
9
3
licenses
6
GPLv3
2
LGPL-2.1
1
https://git.ffmpeg.org/gitweb/ffmpeg.git/blob_plain/HEAD:/LICENSE.md
Package created
5 Sep 2016
Version published
15 Jul 2021
Maintainers
1
Total deps
9
Direct deps
8
License
LGPL-2.1

Issues

32

13 high severity issues

high
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/linux-arm64@4.1.4
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/linux-arm@4.1.3
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/linux-ia32@4.1.0
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/linux-x64@4.1.0
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/win32-ia32@4.1.0
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/win32-x64@4.1.0
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/darwin-arm64@4.1.5
via: @ffmpeg-installer/darwin-arm64@4.1.5
via: @ffmpeg-installer/darwin-x64@4.1.0
via: @ffmpeg-installer/linux-arm64@4.1.4
via: @ffmpeg-installer/linux-arm@4.1.3
via: @ffmpeg-installer/linux-ia32@4.1.0
via: @ffmpeg-installer/linux-x64@4.1.0
Collapse
Expand

10 moderate severity issues

moderate
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/darwin-x64@4.1.0
Recommendation: Validate that the package complies with your license policy
via: @ffmpeg-installer/ffmpeg@1.1.0
via: @ffmpeg-installer/darwin-arm64@4.1.5
via: @ffmpeg-installer/darwin-x64@4.1.0
via: @ffmpeg-installer/linux-arm64@4.1.4
via: @ffmpeg-installer/linux-arm@4.1.3
via: @ffmpeg-installer/linux-ia32@4.1.0
via: @ffmpeg-installer/linux-x64@4.1.0
via: @ffmpeg-installer/win32-ia32@4.1.0
via: @ffmpeg-installer/win32-x64@4.1.0
Collapse
Expand

9 low severity issues

low
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/linux-arm64@4.1.4
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/linux-arm@4.1.3
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/linux-ia32@4.1.0
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/linux-x64@4.1.0
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/win32-ia32@4.1.0
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/win32-x64@4.1.0
via: @ffmpeg-installer/darwin-x64@4.1.0
via: @ffmpeg-installer/ffmpeg@1.1.0
Recommendation: Read and validate the license terms
via: @ffmpeg-installer/darwin-arm64@4.1.5
Collapse
Expand

Licenses

GPLv3

Invalid
Not OSI Approved
6 Packages, Including:
@ffmpeg-installer/linux-arm64@4.1.4
@ffmpeg-installer/linux-arm@4.1.3
@ffmpeg-installer/linux-ia32@4.1.0
@ffmpeg-installer/linux-x64@4.1.0
@ffmpeg-installer/win32-ia32@4.1.0
@ffmpeg-installer/win32-x64@4.1.0

GNU Lesser General Public License v2.1 only

Weakly Protective
OSI Approved
Deprecated
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
hold-liable
sublicense
Must
include-original
include-copyright
include-license
disclose-source
state-changes
include-notice
2 Packages, Including:
@ffmpeg-installer/darwin-x64@4.1.0
@ffmpeg-installer/ffmpeg@1.1.0

https://git.ffmpeg.org/gitweb/ffmpeg.git/blob_plain/HEAD:/LICENSE.md

Invalid
Not OSI Approved
1 Packages, Including:
@ffmpeg-installer/darwin-arm64@4.1.5
Disclaimer

This deed highlights only some of the key features and terms of the actual license. It is not a license and has no legal value. You should carefully review all of the terms and conditions of the actual license before using the licensed material.

Sandworm is not a law firm and does not provide legal services. Distributing, displaying, or linking to this deed or the license that it summarizes does not create a lawyer-client or any other relationship.

Direct Dependencies

8
All Dependencies CSV
β“˜ This is a list of @ffmpeg-installer/ffmpeg 's direct dependencies. Data on all dependencies, including transitive ones, is available via CSV download.
NameVersionSizeLicenseTypeVulnerabilities
@ffmpeg-installer/darwin-arm644.1.514.98 MBhttps://git.ffmpeg.org/gitweb/ffmpeg.git/blob_plain/HEAD:/LICENSE.md
prod optional
2
1
1
@ffmpeg-installer/darwin-x644.1.021.33 MBLGPL-2.1
prod optional
1
2
1
@ffmpeg-installer/linux-arm644.1.414.92 MBGPLv3
prod optional
2
1
1
@ffmpeg-installer/linux-arm4.1.314.14 MBGPLv3
prod optional
2
1
1
@ffmpeg-installer/linux-ia324.1.016.39 MBGPLv3
prod optional
2
1
1
@ffmpeg-installer/linux-x644.1.022 MBGPLv3
prod optional
2
1
1
@ffmpeg-installer/win32-ia324.1.018.22 MBGPLv3
prod optional
1
1
1
@ffmpeg-installer/win32-x644.1.021.17 MBGPLv3
prod optional
1
1
1

Visualizations